<div class="card border-primary mb-3">
    <div class="card-header">Books</div>
    <div class="card-body text-primary">
        <h5 class="card-title">Books list</h5>
        <div *ngIf="books == null || books?.length == 0" class="alert alert-info">
            No books registered!
        </div>
        <table class="table table-striped table-sm" *ngIf="books?.length > 0">
            <thead>
                <th scope="col">#</th>
                <th scope="col">Name</th>
                <th scope="col">Author</th>
                <th scope="col">Genre</th>
                <th scope="col">Publisher</th>
                <th scope="col">Published Year</th>
                <th scope="col"></th>
                <th scope="col"></th>
            </thead>
            <tbody>
                <tr *ngFor="let book of books">
                    <th scope="row">{{ book.id }}</th>
                    <td>{{ book.name }}</td>
                    <td>{{ book.author }}</td>
                    <td>{{ book.genre }}</td>
                    <td>{{ book.publisher }}</td>
                    <td>{{ book.publishedYear }}</td>
                    <td>
                        <button type="button" name="button" [routerLink]="['/books/form',book.id]" class="btn btn-primary btn-sm">Edit</button>
                    </td>
                    <td>
                        <button type="button" class="btn btn-danger btn-sm" (click)="deleteBook(book.id)">Delete</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>